-- List all loaded actors and allow you to "grab" one like to simulate a despawn glitch
local data = {
	title = 'Loaded actors'
}

-- Copied from ScriptHawk: https://github.com/Isotarge/ScriptHawk/blob/master/games/bk_objects_USA.lua
local objects_names = {
	{id=0x0004, name="Bigbutt"},
	{id=0x0005, name="Ticker"},
	{id=0x0006, name="Grublin "},
	{id=0x0007, name="Mumbo 0x0007"},
	{id=0x0008, name="Conga"},
	{id=0x0009, name="MM Hut"},
	{id=0x000A, name="Fish"},
	{id=0x000B, name="Shock Spring Pad"},
	{id=0x000C, name="Mud Hut"},
	{id=0x000D, name="Wood demolished"},
	{id=0x000E, name="Bull 2"},
	{id=0x000F, name="Chimpy"},
	{id=0x0011, name="Ju-Ju HitBox"},
	{id=0x0012, name="Beehive"},
	{id=0x0014, name="Orange"},
	{id=0x0017, name="Shadow"},
	{id=0x001E, name="Leaky"},
	{id=0x0024, name="Oyster"},
	{id=0x0025, name="Cemetary Pot"},
	{id=0x0026, name="Climbable Pole"},
	{id=0x0029, name="Orange"},
	{id=0x002A, name="Gold Bullion"},
	{id=0x002C, name="Turbo Trainers"},
	{id=0x002D, name="Mumbo Token"},
	{id=0x0039, name="Phantom"},
	{id=0x003A, name="Motzand"},
	{id=0x003C, name="Big Key"},
	{id=0x003D, name="Propeller 1"},
	{id=0x003E, name="Propeller 2"},
	{id=0x003F, name="Propeller 3"},
	{id=0x0040, name="Propeller 4"},
	{id=0x0041, name="Propeller 5"},
	{id=0x0042, name="Propeller 6"},
	{id=0x0043, name="Screw"},
	{id=0x0044, name="Rock"},
	{id=0x0045, name="Unknown 0x0045"},
	{id=0x0046, name="Jiggy"},
	{id=0x0047, name="Empty Honeycomb Piece"},
	{id=0x0049, name="Extra Life"},
	{id=0x004A, name="Wood Explosion"},
	{id=0x004B, name="Explosion 2"},
	{id=0x004C, name="Steam"},
	{id=0x004D, name="Steam 2"},
	{id=0x004E, name="Sparkles"},
	{id=0x004F, name="Sparkles"},
	{id=0x0050, name="Honeycomb"},
	{id=0x0051, name="Musical Note"},
	{id=0x0052, name="Egg"},
	{id=0x0053, name="Red Arrow"},
	{id=0x0054, name="Red Question Mark"},
	{id=0x0055, name="Red Cross"},
	{id=0x0055, name="Red X"},
	{id=0x0056, name="Explosion"},
	{id=0x0057, name="Orange pad"},
	{id=0x0059, name="Ju-Ju Totem Pole"},
	{id=0x005A, name="Jiggy (In Hand)"},
	{id=0x005B, name="Egg 1"},
	{id=0x005E, name="Yellow Jinjo (Collectable)"},
	{id=0x005F, name="Orange Jinjo (Collectable)"},
	{id=0x0060, name="Blue Jinjo (Collectable)"},
	{id=0x0061, name="Pink Jinjo (Collectable)"},
	{id=0x0062, name="Green Jinjo (Collectable)"},
	{id=0x0064, name="Water Level Switch"},
	{id=0x0065, name="Wading Boots"},
	{id=0x0066, name="Unknown 0x0066"},
	{id=0x0067, name="Snippet"},
	{id=0x0068, name="Snacker"},
	{id=0x0069, name="YumYum"},
	{id=0x006C, name="Unknown 0x006C"},
	{id=0x006D, name="Banjo Door"},
	{id=0x008E, name="Concert Banjo and Kazooie"},
	{id=0x008F, name="Concert Mumbo"},
	{id=0x0090, name="Yellow Jinjo 0x0090"},
	{id=0x0091, name="Yellow Jinjo 0x0091"},
	{id=0x0092, name="Concert Tooty"},
	{id=0x0093, name="Nintendo Cube"},
	{id=0x0094, name="Rareware Logo"},
	{id=0x0095, name="Yellow Jinjo 0x0095"},
	{id=0x0096, name="Yellow Jinjo 0x0096"},
	{id=0x0097, name="Yellow Jinjo 0x0097"},
	{id=0x0098, name="Yellow Jinjo 0x0098"},
	{id=0x0099, name="Unknown 0x0099"},
	{id=0x009A, name="Unknown 0x009A"},
	{id=0x009B, name="Concert Bull"},
	{id=0x009C, name="Concert Frog"},
	{id=0x009D, name="Bull"},
	{id=0x009E, name="Grunty"},
	{id=0x009F, name="Yellow Jinjo 0x009F"},
	{id=0x00A0, name="Banjo-Kazooie Sign"},
	{id=0x00A1, name="Unknown 0x00A1"},
	{id=0x00A2, name="Fire Sparkle"},
	{id=0x00A3, name="Yellow Jinjo 0x00A3"},
	{id=0x00A4, name="Unknown 0x00A4"},
	{id=0x00A5, name="Dragon Fly"},
	{id=0x00A6, name="Red Yumblie"},
	{id=0x00A7, name="BBQ Mumbo"},
	{id=0x00A8, name="BBQ 1"},
	{id=0x00A9, name="BBQ 2"},
	{id=0x00AA, name="Dingpot 1"},
	{id=0x00AB, name="Grunty's Arms"},
	{id=0x00AC, name="Grunty"},
	{id=0x00AD, name="Bat"},
	{id=0x00AE, name="Dingpot 2"},
	{id=0x00AF, name="Green Mist"},
	{id=0x00B0, name="Bottles"},
	{id=0x00B1, name="Bottles Mound"},
	{id=0x00B2, name="Machine Room Door"},
	{id=0x00B4, name="Tooty 0x00B4"},
	{id=0x00B5, name="Grunty's Broomstick"},
	{id=0x00B6, name="Grunty on Broomstick"},
	{id=0x00B7, name="Yellow Jinjo 0x00B7"},
	{id=0x00B8, name="Banjo Sleeping"},
	{id=0x00B9, name="Bed"},
	{id=0x00BA, name="Yellow Jinjo 0x00BA"},
	{id=0x00BB, name="Kazooie in Backpack Stand"},
	{id=0x00BC, name="Banjo's Curtains"},
	{id=0x00BC, name="Curtains, Purple Checker"},
	{id=0x00BD, name="Banjo's Door"},
	{id=0x00BD, name="Door, Yellow 2D"},
	{id=0x00BE, name="Yellow Jinjo 0x00BE"},
	{id=0x00BF, name="Yellow Jinjo 0x00BF"},
	{id=0x00C0, name="Unknown 0x00C0"},
	{id=0x00C1, name="Jiggy Cutout Board"},
	{id=0x00C2, name="Sexy Grunty"},
	{id=0x00C3, name="Ugly Tooty"},
	{id=0x00C5, name="Chimpy's Tree Stump"},
	{id=0x00C7, name="Walking Gravestone"},
	{id=0x00C8, name="Boggy on Sled 2"},
	{id=0x00CA, name="TeeHee"},
	{id=0x00CB, name="Barrel Top"},
	{id=0x00E4, name="Flight Pad"},
	{id=0x00E4, name="Fly Pad"},
	{id=0x00E6, name="Gloop"},
	{id=0x00E7, name="Unknown 0x00E7"},
	{id=0x00E8, name="Tanktup"},
	{id=0x00E9, name="Tanktup Head"},
	{id=0x00EA, name="Tanktup Leg 1"},
	{id=0x00EB, name="Tanktup Leg 2"},
	{id=0x00EC, name="Tanktup Leg 3"},
	{id=0x00EE, name="Egg 2"},
	{id=0x00EF, name="Egg 3"},
	{id=0x00F0, name="Egg 4"},
	{id=0x00F1, name="Leaf"},
	{id=0x00F2, name="Black Snippet"},
	{id=0x00F3, name="Unknown 0x00F3"},
	{id=0x00F5, name="Mutie Snippet"},
	{id=0x00F6, name="Big Alligator"},
	{id=0x0101, name="Side of Rock"},
	{id=0x0102, name="Side of Rock"},
	{id=0x0108, name="Shadow 0x0108"},
	{id=0x0109, name="Big Door"},
	{id=0x010A, name="Main Door"},
	{id=0x010B, name="Basement Door"},
	{id=0x010C, name="Locked Gade"},
	{id=0x010D, name="Gate"},
	{id=0x010E, name="Hatch"},
	{id=0x0114, name="Church Door"},
	{id=0x0115, name="Blubber"},
	{id=0x0116, name="Bullseye"},
	{id=0x0117, name="Nipper's Shell"},
	{id=0x0118, name="Grey Slappa"},
	{id=0x0119, name="Magic Carpet"},
	{id=0x011A, name="Sarcopphagus"},
	{id=0x011B, name="Rupee"},
	{id=0x011C, name="Histup"},
	{id=0x011D, name="Pot"},
	{id=0x011E, name="Hand Shadows"},
	{id=0x011F, name="Dirt flies up"},
	{id=0x0120, name="Purple Slappe"},
	{id=0x0121, name="Big Jinxy Head"},
	{id=0x0122, name="Square Shadow"},
	{id=0x0123, name="Magic Carpet"},
	{id=0x0124, name="Sir Slush, Snowman"},
	{id=0x0124, name="Snowman"},
	{id=0x0125, name="Snowball"},
	{id=0x0126, name="Snowman's Hat"},
	{id=0x0129, name="Red Feather"},
	{id=0x012C, name="Bottles Mound"},
	{id=0x012C, name="Mole Hill"},
	{id=0x012E, name="Gobi 1"},
	{id=0x012F, name="Bamboo"},
	{id=0x0130, name="Jinxy's Legs"},
	{id=0x0131, name="Gobi 2"},
	{id=0x0132, name="Trunker"},
	{id=0x0133, name="Flibbit"},
	{id=0x0134, name="Buzzbomb"},
	{id=0x0134, name="Dragon Fly"},
	{id=0x0135, name="Gobi 3"},
	{id=0x0137, name="Yellow Flibblet"},
	{id=0x0139, name="Yumblie"},
	{id=0x013A, name="Mr. Vile"},
	{id=0x013B, name="Floatsam"},
	{id=0x013E, name="Nothing?"},
	{id=0x013F, name="Sun Switch"},
	{id=0x0140, name="Sun Door"},
	{id=0x0142, name="Star Hatch"},
	{id=0x0143, name="Kazooie Door"},
	{id=0x0144, name="Star Switch"},
	{id=0x0145, name="Gold Honeycomb Switch"},
	{id=0x0146, name="Kazooie Target"},
	{id=0x0147, name="Ancient One"},
	{id=0x014E, name="Green Jiggy Switch"},
	{id=0x014F, name="Destroyed Jiggy"},
	{id=0x0151, name="Lockup"},
	{id=0x0152, name="Lockup"},
	{id=0x0153, name="Lockup"},
	{id=0x015F, name="Christmas Tree"},
	{id=0x0160, name="Boggy on Sled"},
	{id=0x0161, name="Unknown 0x0161"},
	{id=0x0162, name="Unknown 0x0162"},
	{id=0x0163, name="Bat"},
	{id=0x0164, name="Coliwobble"},
	{id=0x0165, name="Bawl"},
	{id=0x0166, name="Topper"},
	{id=0x0167, name="Coliwobble (Spawns Extra Honeycomb Piece)"},
	{id=0x0168, name="Winter Switch"},
	{id=0x0169, name="Door"},
	{id=0x016A, name="Autumn Switch"},
	{id=0x016B, name="Door"},
	{id=0x016C, name="Summer Switch"},
	{id=0x016D, name="Door"},
	{id=0x016F, name="Quarry"},
	{id=0x0172, name="Weird Green Ball 1"},
	{id=0x0173, name="Weird Green Ball 2"},
	{id=0x0174, name="Weird Green Ball 3"},
	{id=0x0175, name="Ship Propeller"},
	{id=0x0176, name="Green propeller switch"},
	{id=0x0177, name="Shaft"},
	{id=0x0178, name="Spinning Platform 1"},
	{id=0x0179, name="Spinning Platform 2"},
	{id=0x017A, name="Spinning Platform 3"},
	{id=0x017B, name="Grey Cog 1"},
	{id=0x017C, name="Grey Cog 2"},
	{id=0x017D, name="Grey Cog 3"},
	{id=0x017E, name="Shaft 1"},
	{id=0x017F, name="Shaft 2"},
	{id=0x0180, name="Shaft 3"},
	{id=0x0181, name="Sled 1"},
	{id=0x0182, name="Sled 2"},
	{id=0x018F, name="Honeycomb Switch"},
	{id=0x0191, name="Secret X Barrel Top"},
	{id=0x0196, name="Banjo playing Gameboy"},
	{id=0x0197, name="Banjo cooking"},
	{id=0x0198, name="Banjo's Bed"},
	{id=0x0199, name="Banjo's Chair"},
	{id=0x019A, name="Banjo's Kitchen"},
	{id=0x019B, name="Another Secret can get in desert"},
	{id=0x019B, name="SNS Conversation Regarding Secrets on Beach"},
	{id=0x019C, name="THE END"},
	{id=0x01BB, name="Propeller 7"},
	{id=0x01BC, name="Propeller 8"},
	{id=0x01BD, name="Propeller 9"},
	{id=0x01BE, name="Boat Propeller Switch"},
	{id=0x01BF, name="1 Switch"},
	{id=0x01C0, name="2 Switch"},
	{id=0x01C1, name="3 Switch"},
	{id=0x01C2, name="Gold Whistle 1"},
	{id=0x01C3, name="Gold Whistle 2"},
	{id=0x01C4, name="Gold Whistle 3"},
	{id=0x01C6, name="Pipe"},
	{id=0x01C7, name="Anchor Switch"},
	{id=0x01C8, name="Snorkel"},
	{id=0x01C9, name="Anchor and Chain"},
	{id=0x01CA, name="Rareware Flag Pole"},
	{id=0x01CC, name="Grill Chompa"},
	{id=0x01D5, name="Cheato 1"},
	{id=0x01D6, name="Cheato 2"},
	{id=0x01D7, name="Cheato 3"},
	{id=0x01D8, name="Big Blue Egg"},
	{id=0x01D9, name="Big Red Feather"},
	{id=0x01DA, name="Big Gold Feather"},
	{id=0x01DB, name="GAME OVER Logo"},
	{id=0x01DC, name="BANJO-KAZOOIE Logo"},
	{id=0x01DD, name="Copyright Info"},
	{id=0x01DE, name="PRESS START"},
	{id=0x01DF, name="NO CONTROLLER"},
	{id=0x01E0, name="Jiggy Picture"},
	{id=0x01E1, name="Iron Gate"},
	{id=0x01E2, name="Spring Switch"},
	{id=0x01E3, name="Door"},
	{id=0x01E4, name="Toots"},
	{id=0x01E5, name="Dust flies"},
	{id=0x01E5, name="Firecrackers?!"},
	--{id=0x01E7, name="Kitchen (Banjo's House)},
	{id=0x01E9, name="Venus Flytrap"},
	{id=0x01EA, name="Moggy"},
	{id=0x01EB, name="Soggy"},
	{id=0x01EC, name="Groggy"},
	{id=0x01ED, name="Blue Present (Collectable)"},
	{id=0x01EF, name="Green Present (Collectable)"},
	{id=0x01F1, name="Red Present (Collectable)"},
	{id=0x01F3, name="Wozza (Outside)"},
	{id=0x01F5, name="Kazooie Door 2"},
	{id=0x01F7, name="Pyramid"},
	{id=0x01F8, name="Unknown 0x01F8"},
	{id=0x01F9, name="Cactus"},
	{id=0x01FA, name="Croctus"},
	{id=0x01FB, name="BGS Maze Jiggy Switch"},
	{id=0x01FD, name="Clock Switch"},
	{id=0x01FE, name="Gate"},
	{id=0x01FF, name="Red Feather"},
	{id=0x0200, name="Gold Feather"},
	{id=0x0203, name="Note Door"},
	{id=0x0204, name="Witch Switch (MM)"},
	{id=0x0206, name="Witch Switch (MMM)"},
	{id=0x0208, name="Witch Switch (TTC)"},
	{id=0x020B, name="Witch Switch (RBB)"},
	{id=0x020D, name="Brick wall"},
	{id=0x020E, name="Entrance door to MM"},
	{id=0x020F, name="RBB Entrance Door"},
	{id=0x0210, name="BGS Entrance Door"},
	{id=0x0211, name="Chest lid"},
	{id=0x0212, name="Big Iron Bars"},
	{id=0x0213, name="Circular Grate"},
	{id=0x0214, name="Grate Switch"},
	{id=0x0215, name="Tall Pipe 1"},
	{id=0x0216, name="Tall Pipe 2"},
	{id=0x0217, name="Pipe Switch"},
	{id=0x0218, name="Pipe"},
	{id=0x0219, name="Pipe Switch 2"},
	{id=0x021A, name="CC Entrance grates"},
	{id=0x021B, name="Grunty's Hat"},
	{id=0x021C, name="Wooden Door"},
	{id=0x021D, name="Steel Door"},
	{id=0x021E, name="Circular Green Grate"},
	{id=0x021F, name="Circular Brown Grate"},
	{id=0x0220, name="RBB Jigsaw grate"},
	{id=0x0221, name="Water Switch 1"},
	{id=0x0222, name="Water Switch 2"},
	{id=0x0223, name="Water Switch 3"},
	{id=0x0224, name="Ice Ball"},
	{id=0x0224, name="Sarcopphagus"},
	{id=0x0225, name="Rareware box"},
	{id=0x0226, name="GV Entrance"},
	{id=0x0227, name="Phantom Glow"},
	{id=0x0228, name="Invisible Wall"},
	{id=0x0229, name="House"},
	{id=0x022B, name="Frozen Mumbo Hut"},
	{id=0x022C, name="Christmas Present Stack"},
	{id=0x022D, name="Snowy Bridge"},
	{id=0x022E, name="Snowy Bridge 2"},
	{id=0x022F, name="Snowy Bridge 3"},
	{id=0x0230, name="Cobweb"},
	{id=0x0231, name="Big yellow cobweb"},
	{id=0x0233, name="Mumbo's Hut"},
	{id=0x0234, name="CCW Entrance Door"},
	{id=0x0235, name="FP Entrance Door"},
	{id=0x0236, name="FP Entrance Door 2"},
	{id=0x0237, name="Witch Switch (CCW)"},
	{id=0x0239, name="Witch Switch (FP)"},
	{id=0x023A, name="Wooden snow drift texture"},
	{id=0x023B, name="Cauldron"},
	{id=0x023C, name="CCW Switch"},
	{id=0x023D, name="Mumbo Transformation Pad"},
	{id=0x023E, name="Empty wooden coffin"},
	{id=0x023F, name="Skylights"},
	{id=0x0242, name="Unknown 0x0242"},
	{id=0x0243, name="Wooden Panel"},
	{id=0x0244, name="Sarcopphagus Lid"},
	{id=0x0245, name="Sarcopphagus switch"},
	{id=0x0246, name="Flying pad switch"},
	{id=0x0247, name="Kazooie fly disk"},
	{id=0x0248, name="Shock jump switch"},
	{id=0x0249, name="Kazooie Shock Spring disc"},
	{id=0x0253, name="Piece of glass panel"},
	{id=0x0254, name="Piece of glass panel"},
	{id=0x0255, name="Tomb"},
	{id=0x0256, name="Witch Switch (GV)"},
	{id=0x0257, name="Witch Switch (BGS)"},
	{id=0x0258, name="Tomb Top"},
	{id=0x0259, name="Grunty eye switch 1"},
	{id=0x025A, name="Grunty eye switch 2"},
	{id=0x025B, name="Witch Switch (CC)"},
	{id=0x025C, name="Sharkfood Island"},
	{id=0x025D, name="Ice Key"},
	{id=0x025E, name="SnS Egg"},
	{id=0x025F, name="Nabnut's Window Spring"},
	{id=0x0260, name="Nabnut's Window Summer"},
	{id=0x0261, name="Nabnut's Window Fall"},
	{id=0x0262, name="Nabnut's Window Winter"},
	{id=0x0263, name="Safety Boat"},
	{id=0x0264, name="Safety Boat"},
	{id=0x0265, name="Door"},
	{id=0x0266, name="Window 1"},
	{id=0x0267, name="Window 2"},
	{id=0x027A, name="Tit Tup"},
	{id=0x027B, name="Choir Member (Yellow)"},
	{id=0x027C, name="Choir Member (Cyan)"},
	{id=0x027D, name="Choir Member (Blue)"},
	{id=0x027E, name="Choir Member (Red)"},
	{id=0x027F, name="Choir Member (Pink)"},
	{id=0x0280, name="Choir Member (Purple)"},
	{id=0x0281, name="Kaboom Part 1"},
	{id=0x0282, name="Kaboom Part 2"},
	{id=0x0283, name="Kaboom Part 3"},
	{id=0x0284, name="Kaboom Part 4"},
	{id=0x0285, name="Big Jinxy Head"},
	{id=0x0286, name="Big Jinxy Head 2"},
	{id=0x0287, name="Big Jinxy Head 3"},
	{id=0x0288, name="Weird Green Ball"},
	{id=0x0289, name="Vent"},
	{id=0x028A, name="Underwater Whipcrack"},
	{id=0x028B, name="Waterfall/Cauldron Sound"},
	{id=0x028C, name="Green Drain 1"},
	{id=0x028D, name="Green Drain 2"},
	{id=0x028E, name="Green Drain 3"},
	{id=0x028F, name="Vent"},
	{id=0x0290, name="Propeller 10"},
	{id=0x0291, name="Propeller 11"},
	{id=0x0292, name="Spinning SawBlade (Fast)"},
	{id=0x0293, name="Propeller 13"},
	{id=0x0294, name="Propeller 14"},
	{id=0x0295, name="Propeller 15"},
	{id=0x0296, name="Bell Buoy"},
	{id=0x0297, name="Row Boat"},
	{id=0x0298, name="Flat Board"},
	{id=0x0299, name="Lump of Honey"},
	{id=0x029A, name="Flat Board"},
	{id=0x029B, name="Zubba"},
	{id=0x029C, name="Zubba (Attacker)"},
	{id=0x029D, name="Beakstalk"},
	{id=0x029E, name="Gobi"},
	{id=0x029F, name="Big Clucker"},
	{id=0x02A0, name="Unknown 0x02A0"},
	{id=0x02A1, name="Eyrie"},
	{id=0x02A2, name="Catapiller"},
	{id=0x02A3, name="Big Eyrie"},
	{id=0x02A4, name="TNT Box Part 1"},
	{id=0x02A5, name="Extra Life Spawn Location (RBB)"},
	{id=0x02A6, name="Nabnut 1"},
	{id=0x02A7, name="Nabnut 2"},
	{id=0x02A8, name="Nabnut 3"},
	{id=0x02A9, name="Acorn"},
	{id=0x02AA, name="Gnawty 1"},
	{id=0x02AB, name="Gnawty (Summer)"},
	{id=0x02AC, name="Gnawty's Boulder"},
	{id=0x02AE, name="Leaf Particles (Screen Overlay)"},
	{id=0x02B0, name="Rain"},
	{id=0x02B2, name="Snow"},
	{id=0x02B5, name="Nonsense picture"},
	{id=0x02D8, name="Two Poles"},
	{id=0x02D9, name="X 1 (Crashes?)"},
	{id=0x02DA, name="X 2 (Crashes?)"},
	{id=0x02DB, name="Dingpot 3"},
	{id=0x02DC, name="Gnawty's Shelves"},
	{id=0x02DD, name="Gnawty's Bed"},
	{id=0x02DE, name="Gnawty's House"},
	{id=0x02DF, name="Lighthouse"},
	{id=0x02E0, name="Stairs"},
	{id=0x02E1, name="Underwater Ship Warp?"},
	{id=0x02E2, name="Lighthouse Body"},
	{id=0x02E3, name="World Entrance Sign"}, -- MM, RBB
	{id=0x02E4, name="Level Entry/Exit"},
	{id=0x02E5, name="Wooden Door"},
	{id=0x02E6, name="Nabnut's Door"},
	{id=0x02E7, name="Wooden Door"},
	{id=0x02E8, name="Window 3"},
	{id=0x02E9, name="Short Window"},
	{id=0x02EA, name="Tall Window"},
	{id=0x02ED, name="Machine Room Booth"},
	{id=0x02EE, name="Klungo 1"},
	{id=0x02EF, name="Tooty 0x02EF"},
	{id=0x02F0, name="Machine Room Console"},
	{id=0x02F1, name="Tooty's force field"},
	{id=0x02F2, name="Machine Room booth"},
	{id=0x02F3, name="Lightning"},
	{id=0x02F4, name="Roysten's Bowl"},
	{id=0x02F5, name="Cuckoo Clock"},
	{id=0x02F6, name="Yellow Jinjo 0x02F6"},
	{id=0x02F7, name="Yellow Jinjo 0x02F7"},
	{id=0x02F8, name="Yellow Jinjo 0x02F8"},
	{id=0x02F9, name="Yellow Jinjo 0x02F9"},
	{id=0x02FA, name="Klungo 2"},
	{id=0x02FC, name="Mumbo 0x02FC"},
	{id=0x02FD, name="Snacker"},
	{id=0x02FE, name="Yellow Jinjo 0x02FE"},
	{id=0x02FF, name="Unknown 0x02FF"},
	{id=0x0300, name="Unknown 0x0300"},
	{id=0x0301, name="Blubber"},
	{id=0x0302, name="Rock"},
	{id=0x0303, name="Yellow Jinjo 0x0303"},
	{id=0x0304, name="Yellow Jinjo 0x0304"},
	{id=0x0305, name="Yellow Jinjo 0x0305"},
	{id=0x0306, name="Yellow Jinjo 0x0306"},
	{id=0x0307, name="Yellow Jinjo 0x0307"},
	{id=0x0308, name="Yellow Jinjo 0x0308"},
	{id=0x0309, name="Yellow Jinjo 0x0309"},
	{id=0x030A, name="Yellow Jinjo 0x030A"},
	{id=0x030B, name="Dead Beanstalk"},
	{id=0x030C, name="'Z' Logo"},
	{id=0x030D, name="TNT Box Part 2"},
	{id=0x030E, name="Eyrie Big "},
	{id=0x030F, name="Whip Crack"},
	{id=0x0310, name="Acorn mound"},
	{id=0x0311, name="Nabnut's Wife"},
	{id=0x0312, name="Nabnut's Bed Covers"},
	{id=0x0313, name="Nabnut's Duvet"},
	{id=0x0314, name="Nabnut 4"},
	{id=0x0315, name="Nabnut (Top Half)"},
	{id=0x031A, name="Gnawty (Winter)"},
	{id=0x031C, name="Stationary Platform (Engine Room)"},
	{id=0x031D, name="Pyramid 2"},
	{id=0x031E, name="Palm Tree"},
	{id=0x0332, name="Blue Twinkly"},
	{id=0x0333, name="Green Twinkly"},
	{id=0x0334, name="Orange Twinkly"},
	{id=0x0335, name="Red Twinkly"},
	{id=0x0336, name="Twinkly Box"},
	{id=0x0337, name="Twinkly Muncher"},
	{id=0x0338, name="Christmas Tree Switch"},
	{id=0x0339, name="Christmas Tree"},
	{id=0x033A, name="Blue Present 0x033A"},
	{id=0x033B, name="Green Pesent 0x033B"},
	{id=0x033C, name="Red Present 0x033C"},
	{id=0x033D, name="Boggy on Sled 3"},
	{id=0x033E, name="Nintendo Cube?"},
	{id=0x033F, name="Wozza (In Cave)"},
	{id=0x0340, name="Ice Tree"},
	{id=0x0341, name="Unknown 0x0341"},
	{id=0x0348, name="Brentilda"},
	{id=0x034D, name="Bee Swarm"},
	{id=0x034E, name="Limbo"},
	{id=0x034F, name="Mummy"},
	{id=0x0350, name="Sea Grublin"},
	{id=0x0352, name="Grunty after first note door"},
	{id=0x0353, name="Weird green ball"},
	{id=0x0354, name="Water Drops"},
	{id=0x0355, name="Purple ice pole"},
	{id=0x0356, name="Green Ice Pole"},
	{id=0x0357, name="Big Ice Pole"},
	{id=0x0358, name="Ice Pole"},
	{id=0x035D, name="Ice pole"},
	{id=0x035E, name="Race rostrum"},
	{id=0x035F, name="Finish banner"},
	{id=0x0360, name="Start banner"},
	--id=0x361, name="Stop n' Swap?"},
	{id=0x0367, name="Gruntling"},
	{id=0x0368, name="Mumbo Token Sign (5)"},
	{id=0x0369, name="Mumbo Token Sign (20)"},
	{id=0x036A, name="Mumbo Token Sign (15)"},
	{id=0x036B, name="Mumbo Token Sign (10)"},
	{id=0x036C, name="Mumbo Token Sign (25)"},
	{id=0x036D, name="Coliwobble"},
	{id=0x036E, name="Bawl"},
	{id=0x036F, name="Topper"},
	{id=0x0370, name="Gold Feather"},
	{id=0x0374, name="Text Trigger (Mumbo's On Vacation)"},
	{id=0x0375, name="Grublin Hood"},
	{id=0x0376, name="Boss Boom Box"},
	--{id=0x037A, name="Assosiated with MoleHill"}, --talk volume?
	{id=0x037C, name="Dust or Steam Cloud"},
	{id=0x037D, name="Ice Cube"},
	{id=0x037E, name="Dead Venus Flytrap"},
	{id=0x037F, name="Loggo"},
	{id=0x0380, name="Beetle"},
	{id=0x0381, name="Portrait Chompa"},
	{id=0x0382, name="Portrait (Grunty)"},
	{id=0x0383, name="Fire"},
	{id=0x0384, name="Steam and sparks"},
	{id=0x0385, name="Portrait (Blackeye)"},
	{id=0x0386, name="Portrait (Tower)"},
	{id=0x0387, name="Portrait (Tree)"},
	{id=0x0388, name="Portrait (Ghosts)"},
	{id=0x0389, name="Fireball"},
	{id=0x038A, name="Green Blast"},
	{id=0x038B, name="Grunty"},
	{id=0x03A0, name="Ice Cube"},
	{id=0x03A1, name="Jinjonator Stand"},
	{id=0x03A2, name="Jinjo Stand"},
	{id=0x03A5, name="Orange Jinjo"},
	{id=0x03A6, name="Green Jinjo"},
	{id=0x03A7, name="Purple Jinjo"},
	{id=0x03A8, name="Yellow Jinjo 0x03A8"},
	{id=0x03AA, name="Big Green Blast"},
	{id=0x03AC, name="Jinjonator"},
	{id=0x03AD, name="Rock Smash"},
	{id=0x03AE, name="Boggy's Igloo"},
	{id=0x03AF, name="Shadow"},
	{id=0x03B0, name="House chimney"},
	{id=0x03B7, name="Puzzle Jiggy Podium"},
	{id=0x03BB, name="Fireball"},
	{id=0x03BC, name="Jiggy Podium"},
	{id=0x03BF, name="Gruntling 2"},
	{id=0x03C0, name="Gruntling 3"},
	{id=0x03C1, name="Purple TeeHee"},
	{id=0x03C2, name="Unknown 0x03C2"},
	{id=0x03C4, name="Washing machine Cauldron"},
	{id=0x03C5, name="Gruntilda (Furnace Fun)"},
	{id=0x03C6, name="Furnace Fun Podium"},
	{id=0x03C7, name="Grunty Doll (Furnace Fun)"},
	{id=0x03C8, name="Tooty (Furnace Fun)"},
}

function get_object_name(id)
	for _, o in ipairs(objects_names) do
		if o.id == id then
			return o.name
		end
	end

	return "<unknown>"
end

function data.draw()
	local list = memory.read_u32(0x8249f68c)

	if list ~= 0 then
		local count = memory.read_u32(list)
		local inhand = memory.read_u32(0x8248f614)
		imgui.text(string.format("actors: %d", count))
		--imgui.text(string.format("inhand: %x", inhand))

		local actor = list + 8
		for i = 1, count do
			if actor ~= 0 then
				local actorinfo = memory.read_u32(actor + 0x130)
				if actorinfo ~= 0 then
					local marker = memory.read_u32(actor)
					local actor_id = memory.read_u16(actorinfo + 2)

					imgui.text(string.format("actor %d: %s", i, get_object_name(actor_id)))

					if inhand ~= marker then
						imgui.sameline()
						if imgui.button(string.format("hold##%d", marker)) then
							memory.write_u32(0x8248f614, marker)
						end
					end
				end
			end

			actor = actor + 0x184
		end
	end
end

return data
